package cn.citycraft.MenuProtect;

import org.bukkit.Bukkit;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import cn.citycraft.MenuProtect.listen.ProtectListener;
import cn.citycraft.MenuProtect.utils.MarkUtil;
import cn.citycraft.PluginHelper.config.FileConfig;

public class MenuProtect extends JavaPlugin {
	FileConfig config;

	@Override
	public void onEnable() {
		final PluginManager pm = Bukkit.getPluginManager();
		pm.registerEvents(new ProtectListener(this), this);
		this.getLogger().info("菜单物品保护已开启!");
	}

	@Override
	public void onLoad() {
		config = new FileConfig(this);
		MarkUtil.marks = config.getStringList("MarkList");
	}
}
